Deleting entries doesn't work on Splunk 6.6
Description

It works, but then generates a 500 error.

Associated revisions

Revision 318 - 05/21/2017 05:35 AM - lukemurphey

Fixed issue in which an error was generated when you attempted to delete rows

Reference #1869

History

#1 - 05/21/2017 01:08 AM - Luke Murphey

This works:

curl -k -u admin:changeme -X DELETE https://localhost:8089/servicesNS/nobody/lookup_editor/storage/collections

/data/Test/5920ddbb0ffdd530641cd538

 

But calling if from Splunkd doesn't.

#2 - 05/21/2017 01:10 AM - Luke Murphey

Network Tools works but it is using the _raw endpoint:

http://127.0.0.1:8000/en-US/splunkd/__raw/servicesNS/nobody/network_tools/storage/collections/data/network_hos

ts/5920e8ed0ffdd59ac371a282

#3 - 05/21/2017 04:36 AM - Luke Murphey

kvstore.js seems to do this correctly. I could use this instead.

// Destroy model with specific key

var model = new MyModel({ _key: '5447fb752dbbb628d0224132' });

model.destroy()

    .done(function() {

        console.log('Model delete from server);

});
#4 - 05/21/2017 05:34 AM - Luke Murphey

I might want to replace the ajax call with something like this:

            this.kvStoreModel = KVStore.Model.extend({

                collectionName: this.lookup,

                namespace: {

                    'owner' : this.owner

                }

            });

            var model = new this.kvStoreModel({ _key: _key });

            model.destroy()

                .done(function() {

                        console.info('KV store entry removal completed for entry ' + _key);

                        this.hideWarningMessage();

                        this.updateTimeModified();

                }

            );

#5 - 05/21/2017 05:37 AM - Luke Murphey

To use the KV store model, I should:

1. Have the KVStoreModel initialized on KV store load so that no one else has to reinitialize it.

2. Add the fail handlers for the delete routines.

3. Look for other instances of direct AJAX calls; replace them.

#6 - 05/21/2017 05:37 AM - Luke Murphey

- % Done changed from 0 to 50

#7 - 05/22/2017 05:22 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 50 to 100
